2020-06-03 21:25 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001213Spring engineUnit Scriptingpublic2008-12-29 19:06
ReporterTheFatController 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version0.77b5 
Target VersionFixed in Version0.77b5+svn 
Summary0001213: Lua CreateUnit can cause errors & corruption when unit is outside the map (replay)
DescriptionRelated incident: http://spring.clan-sy.com/mantis/view.php?id=1195

I have investigated this for BA Chicken Defense and found that 1195 is not technically due to 'errors in lua script' as the function should either return false or create the unit correctly if x,z are off map.

Screenshots:
http://pw3n.net/mirrors/screen002.jpg
http://pw3n.net/mirrors/screen003.jpg

As you can see from the screenshots a unit was created with buildprogress 0% which then set off the (null) lua error which then caused all following CreateUnit calls to display the recursion error.

Replay: http://pw3n.net/mirrors/20081118_174917_Chicken_Farm_v02_0.77b5+.sdf
Mod: http://pw3n.net/mirrors/BAChickens145(BA65).sdz
Map: http://spring.jobjol.nl/show_file.php?id=1582
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0003113

Kloot (developer)

This got fixed at some point, there is a pos.CheckInBounds() present now.
+Notes

-Issue History
Date Modified Username Field Change
2008-11-21 00:20 TheFatController New Issue
2008-12-29 19:05 Kloot Note Added: 0003113
2008-12-29 19:06 Kloot Status new => resolved
2008-12-29 19:06 Kloot Fixed in Version => 0.77b5+svn
2008-12-29 19:06 Kloot Resolution open => fixed
2008-12-29 19:06 Kloot Assigned To => Kloot
+Issue History